lio_listio64(3)

NAME
lio_listio64 - List directed I/O

SYNOPSYS
#include <errno.h>
#include <libaio.h>

int lio_listio64 (int mode, struct aiocb *const list[], int nent, struct sigevent *sig)

DESCRIPTION
This function is similar to the code{lio_listio function. The only difference is that on 32 bit machines, the file descriptor should be opened in the large file mode. Internally, lio_listio64 uses functionality equivalent to lseek64" to position the file descriptor correctly for the reading or writing, as opposed to lseek functionality used in lio_listio. When the sources are compiled with _FILE_OFFSET_BITS == 64 , this function is available under the name lio_listio and so transparently replaces the interface for small files on 32 bit machines.

RETURN VALUES

ERRORS

SEE ALSO